PACCHECK(1)

NAME
paccheck - check installed packages

SYNOPSIS
 paccheck [options] [<package>]...
 paccheck (--help|--version)

DESCRIPTION
Check installed packages. Additional packages may be specified on stdin. If no package are provided, all installed packages will be checked. By default only package dependencies and basic file information will checked.

OPTIONS

--config=path
    Set an alternate configuration file path.

--dbpath=path
    Set an alternate database path.

--root=path
    Set an alternate installation root.

--sysroot=path
    Set an alternate system root. See pacutils-sysroot(7).

--null[=sep]
    Set an alternate separator for values parsed from stdin. By default a newline "\n" is used as the separator. If --null is used without specifying sep "NUL" will be used.

--list-broken
    Only print the names of packages that fail the selected checks.

--quiet
    Only display messages if a problem is found.

--recursive
    Recursively perform checks on packages' dependencies as well.

--depends
    Check that all package dependencies are satisfied.

--opt-depends
    Check that all package optional dependencies are satisfied.

--files
    Check package files against the local database.

--file-properties
    Check package files against MTREE data.

--md5sum
    Check file md5sums against MTREE data.

--sha256sum
    Check file sha256sums against MTREE data.

--require-mtree
    Treat missing MTREE data as an error for --db-files and/or --file-properties.

--db-files
    Include database files in --files and --file-properties checks. --files will test for the existence of desc, files, and mtree (with --require-mtree) files in the package database entry. --file-properties will check install and changelog files in the package database where applicable.

--backup
    Include backup files in file modification checks.

--noextract
    Include NoExtract files in file modification checks.

--noupgrade
    Include NoUpgrade files in file modification checks.

--help
    Display usage information and exit.

--version
    Display version information and exit.

CAVEATS
paccheck determines whether or not to read packages from stdin based on a naive check using isatty(3). If paccheck is called in an environment, such as a shell function or script being used in a pipe, where stdin is not connected to a terminal but does not contain packages to check, paccheck should be called with stdin closed. For POSIX-compatible shells, this can be done with "<&-".